# $Revision: 1.18 $, $Date: 2002/11/17 23:22:47 $
Summary:	initiate, or receive, a H.323 IP telephony call
Summary(pl):	Inicjowanie i odbieranie pocze telefonicznych H.323
Name:		ohphone
Version:	1.3.3
Release:	2
License:	MPL
Group:		Applications/Communications
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.gz
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-novga.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.10.4
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%requires_eq	openh323

%description
ohphone is a command line application that can be used to listen for
incoming H.323 calls, or to initiate a call to a remote host. Although
originally intended as a test harneess for the OpenH323 project (see
http://www.openh323.org/) it has developed into a fully functional
H.323 endpoint application.

%description -l pl
ohphone to dziaajca z linii polece aplikacja, ktra moe czeka na
nadchodzce poczenia H.323 lub inicjowa poczenia z innym
komputerem. Oryginalnie miao to by narzdzie testowe dla projektu
OpenH323 (http://www.openh323.org/), ale zostao doprowadzone do
penej funkcjonalnoci.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	OPTCCFLAGS="%{!?debug:$RPM_OPT_FLAGS}  -fno-rtti -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ohphone.spec,v $
Revision 1.18  2002/11/17 23:22:47  marcus
- rel.2.
- build against openh323 1.10.4

Revision 1.17  2002/11/17 12:38:31  kloczek
- updated to 1.3.3.

Revision 1.16  2002/10/28 10:52:49  marcus
- removed BR pwlib-devel

Revision 1.15  2002/10/28 10:07:50  marcus
- updated to 1.3.0

Revision 1.14  2002/07/27 22:29:02  marcus
- updated to 1.2.7

Revision 1.13  2002/07/09 17:42:46  mmazur
- fixed building

Revision 1.12  2002/07/09 16:07:09  marcus
- new version 1.2.6

Revision 1.11  2002/02/23 04:05:45  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/08 13:48:59  blues
- release 2
- added BR

Revision 1.7  2001/12/06 13:08:43  qboosh
- pl translations, cosmetics

Revision 1.6  2001/08/21 12:22:58  waszi
- updated to 1.1.5

Revision 1.5  2001/01/17 23:28:23  kloczek
- small fix in %install for allow build on non-x86 archs.

Revision 1.4  2001/01/17 08:00:49  jajcus
- Although it links with libX11 it is a console application --- changed prefix
  and group

Revision 1.3  2001/01/11 14:38:34  jajcus
- make it build with latest pwlib/openh323

Revision 1.2  2001/01/07 16:11:34  jajcus
- License: MPL

Revision 1.1  2001/01/06 11:42:32  jajcus
- initial spec
